using Hcs.Broker;
using Hcs.WebApp.Data.Hcs;

namespace Hcs.WebApp.BackgroundServices.DataParsers
{
    public abstract class DataParserBase(IServiceScope scope, Operation operation) : IDataParser
    {
        protected readonly IServiceScope scope = scope;
        protected readonly Operation operation = operation;

        public abstract Task ParseAsync();
    }
}
